# vue-router
<!--email_off-->
> Notas: vue-router@2.x funciona solamente con Vue 2.x. La documentación para la versión 0.7.x está [aquí (en inglés)](https://github.com/vuejs/vue-router/tree/1.0/docs/en).
<!--/email_off-->
**[Notas de lanzamiento](https://github.com/vuejs/vue-router/releases)**

- [Instalación](installation.md)
- Esenciales
  - [Primeros pasos](essentials/getting-started.md)
  - [Matching dinámico de rutas](essentials/dynamic-matching.md)
  - [Sub-rutas](essentials/nested-routes.md)
  - [Navegación mediante código](essentials/navigation.md)
  - [Rutas con nombre](essentials/named-routes.md)
  - [Vistas con nombre](essentials/named-views.md)
  - [Redireccionamiento y alias](essentials/redirect-and-alias.md)
  - [Pasando propiedades a componentes de ruteo](essentials/passing-props.md)
  - [Modo historial HTML5](essentials/history-mode.md)
- Avanzado
  - [Guardias de navegación](advanced/navigation-guards.md)
  - [Campos Meta en las rutas](advanced/meta.md)
  - [Transiciones](advanced/transitions.md)
  - [Obtención de datos](advanced/data-fetching.md)
  - [Comportamiento del scroll](advanced/scroll-behavior.md)
  - [Lazy loading](advanced/lazy-loading.md)
- API
  - [Opciones del constructor de Router](api/options.md)
    - [rutas](api/options.md#routes)
    - [modo](api/options.md#mode)
    - [base](api/options.md#base)
    - [linkActiveClass](api/options.md#linkactiveclass)
    - [linkExactActiveClass](api/options.md#linkexactactiveclass)
    - [scrollBehavior](api/options.md#scrollbehavior)
    - [parseQuery / stringifyQuery](api/options.md#parsequery--stringifyquery)
    - [fallback](api/options.md#fallback)
  - [La instancia de Router](api/router-instance.md)
    - [Propiedades](api/router-instance.md#properties)
    - [Métodos](api/router-instance.md#methods)
  - [El objeto Route](api/route-object.md)
  - [Inyección en componentes](api/component-injections.md)
  - [router-link](api/router-link.md)
  - [router-view](api/router-view.md)
