# vue-router

> Note aux utilisateurs de TypeScript : vue-router@3.0+ nécessite vue@2.5+, et inverssement.

**[Notes de version](https://github.com/vuejs/vue-router/releases)**

- [Installation](installation.md)
- Essentiel
  - [Pour commencer](essentials/getting-started.md)
  - [Concordance dynamique de route](essentials/dynamic-matching.md)
  - [Navigation programmatique](essentials/navigation.md)
  - [Routes imbriquées](essentials/nested-routes.md)
  - [Routes nommées](essentials/named-routes.md)
  - [Vues nommées](essentials/named-views.md)
  - [Redirection et alias](essentials/redirect-and-alias.md)
  - [Passage de props aux composants de route](essentials/passing-props.md)
  - [Mode historique de HTML5](essentials/history-mode.md)
- Avancé
  - [Intercepteurs de navigation](advanced/navigation-guards.md)
  - [Champs meta de route](advanced/meta.md)
  - [Transitions](advanced/transitions.md)
  - [Récupération de données](advanced/data-fetching.md)
  - [Comportement du défilement](advanced/scroll-behavior.md)
  - [Chargement à la volée](advanced/lazy-loading.md)
- Référence de l'API
  - [Options de construction du routeur](api/options.md)
    - [routes](api/options.md#routes)
    - [mode](api/options.md#mode)
    - [base](api/options.md#base)
    - [linkActiveClass](api/options.md#linkactiveclass)
    - [linkExactActiveClass](api/options.md#linkexactactiveclass)
    - [scrollBehavior](api/options.md#scrollbehavior)
    - [parseQuery / stringifyQuery](api/options.md#parsequery--stringifyquery)
    - [fallback](api/options.md#fallback)
  - [L'instance du routeur](api/router-instance.md)
    - [Propriétés](api/router-instance.md#propriétés)
    - [Méthodes](api/router-instance.md#méthodes)
  - [L'objet Route](api/route-object.md)
  - [Injections de composant](api/component-injections.md)
  - [router-link](api/router-link.md)
  - [router-view](api/router-view.md)
