# vue-router

> Примечание: для пользователей TypeScript, vue-router@3.0+ требуется vue@2.5+, и наоборот.

**[История изменений](https://github.com/vuejs/vue-router/releases)**

- [Введение](README.md)
- [Установка](installation.md)
- Основы
  - [Начало работы](essentials/getting-started.md)
  - [Динамические пути](essentials/dynamic-matching.md)
  - [Вложенные пути](essentials/nested-routes.md)
  - [Императивная навигация](essentials/navigation.md)
  - [Именованные пути](essentials/named-routes.md)
  - [Именованные представления](essentials/named-views.md)
  - [Редиректы и псевдонимы](essentials/redirect-and-alias.md)
  - [Передача входных параметров в компоненты маршрутов](essentials/passing-props.md)
  - [Режим HTML5 History](essentials/history-mode.md)
- Продвинутые возможности
  - [Сторожевые хуки](advanced/navigation-guards.md)
  - [Метаданные путей](advanced/meta.md)
  - [Анимация переходов](advanced/transitions.md)
  - [Запросы данных](advanced/data-fetching.md)
  - [Скроллинг](advanced/scroll-behavior.md)
  - [Ленивая загрузка путей](advanced/lazy-loading.md)
- Справочник API
  - [Опции конструктора Router'а](api/options.md)
    - [routes](api/options.md#routes)
    - [mode](api/options.md#mode)
    - [base](api/options.md#base)
    - [linkActiveClass](api/options.md#linkactiveclass)
    - [linkExactActiveClass](api/options.md#linkexactactiveclass)
    - [scrollBehavior](api/options.md#scrollbehavior)
    - [parseQuery / stringifyQuery](api/options.md#parsequery--stringifyquery)
    - [fallback](api/options.md#fallback)
  - [Экземпляр Router](api/router-instance.md)
    - [Свойства](api/router-instance.md#свойства)
    - [Методы](api/router-instance.md#методы)
  - [Объект route](api/route-object.md)
  - [Интеграция с компонентами Vue](api/component-injections.md)
  - [router-link](api/router-link.md)
  - [router-view](api/router-view.md)
